
APACHE_MODPATH_INIT(jpeg)
APACHE_MODULE(jpeg, JPEG reduction support, , , no, [
  AC_ARG_WITH(z, APACHE_HELP_STRING(--with-jpeg=DIR,use a specific jpeg library),
  [
    if test "x$withval" != "xyes" && test "x$withval" != "x"; then
      ap_jpeg_base="$withval"
    fi
  ])
  if test "x$ap_jpeg_base" = "x"; then
    AC_MSG_CHECKING([for jpeg location])
    AC_CACHE_VAL(ap_cv_jpeg,[
      for dir in /usr/local /usr ; do
        if test -d $dir && test -f $dir/include/jpeglib.h; then
          ap_cv_jpeg=$dir
          break
        fi
      done
    ])
    ap_jpeg_base=$ap_cv_jpeg
    if test "x$ap_jpeg_base" = "x"; then
      enable_jpeg=no
      AC_MSG_RESULT([not found 1])
    else
      AC_MSG_RESULT([$ap_jpeg_base])
    fi
  fi
  if test "$enable_jpeg" != "no"; then
    ap_save_includes=$INCLUDE
    ap_save_ldflags=$LDFLAGS
    ap_save_libs=$LIBS
    ap_save_cppflags=$CPPFLAGS
    if test "$ap_jpeg_base" != "/usr"; then
      APR_ADDTO(INCLUDES, [-I${ap_jpeg_base}/include])
      dnl put in CPPFLAGS temporarily so that AC_TRY_LINK below will work
      CPPFLAGS="$CPPFLAGS $INCLUDES"
      APR_ADDTO(LDFLAGS, [-L${ap_jpeg_base}/lib])
      if test "x$ap_platform_runtime_link_flag" != "x"; then
         APR_ADDTO(LDFLAGS, [$ap_platform_runtime_link_flag${ap_jpeg_base}/lib])
      fi
    fi
    APR_ADDTO(LIBS, [-ljpeg])
    AC_MSG_CHECKING([for jpeg library])
    AC_TRY_LINK([#include <stdio.h>], [#include <jpeglib.h>], [int i = JPEG_EOI;], 
    [AC_MSG_RESULT(found) 
     AC_CHECK_HEADERS(jpeglib.h)],
    [AC_MSG_RESULT(not found 2)
     enable_jpeg=no
     INCLUDES=$ap_save_includes
     LDFLAGS=$ap_save_ldflags
     LIBS=$ap_save_libs])
    CPPFLAGS=$ap_save_cppflags
  fi
])


    
APACHE_MODPATH_FINISH
